Bug 9112 - Update of SQL file for italian setup
Summary: Update of SQL file for italian setup
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Zeno Tajoli
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-20 11:51 UTC by Zeno Tajoli
Modified: 2013-05-23 06:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
update of italian sql for auth_val.sql and userpermissions.sql (5.04 KB, patch)
2012-11-21 15:07 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Bug 9112 : update of Italian SQL files (5.05 KB, patch)
2012-12-08 06:42 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9112 : update of Italian SQL files (5.09 KB, patch)
2012-12-21 16:11 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2012-11-20 11:51:22 UTC
In 3.10.x and 3.12 there are new features that needs more lines in SQL setup files.
This update is only for italian files.
Could work for 3.10 and present master (3.12)
Comment 1 Zeno Tajoli 2012-11-21 15:07:09 UTC Comment hidden (obsolete)
Comment 2 Zeno Tajoli 2012-11-21 16:01:15 UTC
To test:
Option 1) Run the Italina web installer and check authorised values and userpermissions have been added correctly.

Option 2) Run SQL code from auth_val.sql and userpermissions.sql for Italian against your database and check the values have been added correctly.
Comment 3 Chris Cormack 2012-12-08 06:42:29 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2012-12-08 06:43:07 UTC
I can't be sure the Italian is right, I trust Zeno for that, but the file has no sql errors and can be loaded fine.
Comment 5 Paul Poulain 2012-12-21 16:10:46 UTC
QA comment:
 * small patch, italian related only
 * as chris, cannot confirm it's valid italian, but it's valid SQL

passed QA
Comment 6 Paul Poulain 2012-12-21 16:11:00 UTC
Created attachment 14245 [details] [review]
Bug 9112 : update of Italian SQL files

This patch is only for Italian SQL setup, it updates files auth_val.sql
and userpermissions.sql. For circulation permissions and REPORT_GROUP
example.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 7 Jared Camins-Esakov 2012-12-22 21:20:46 UTC
This patch has been pushed to master.
Comment 8 Chris Cormack 2012-12-26 19:44:19 UTC
Pushed to 3.10.x will be in 3.10.2